package cn.bjsxt.plane;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cn.bjsxt.plane.Bullet;
import cn.bjsxt.plane.Explode;
import cn.bjsxt.plane.Plane;
import cn.bjsxt.util.GameUtil;
import cn.bjsxt.util.MyFrame;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.KeyListener;
import java.util.ArrayList;
import java.util.Date;

public class PlaneGameFrame extends MyFrame {
  private static final long serialVersionUID = 1L;
  
  Image bg = GameUtil.getImage("images/bg.jpg");
  
  Plane p = new Plane("images/plane.png", 50.0D, 50.0D);
  
  ArrayList bulletList = new ArrayList();
  
  Explode bao;
  
  Date startTime;
  
  Date endTime;
  
  public void paint(Graphics g) {
    g.drawImage(this.bg, 0, 0, null);
    this.p.draw(g);
    for (int i = 0; i < this.bulletList.size(); i++) {
      Bullet b = this.bulletList.get(i);
      b.draw(g);
      boolean peng = b.getRect().intersects(this.p.getRect());
      if (peng) {
        this.p.setLive(false);
        if (this.bao == null) {
          this.endTime = new Date();
          this.bao = new Explode(this.p.x, this.p.y);
        } 
        this.bao.draw(g);
      } 
    } 
    if (!this.p.isLive()) {
      printInfo(g, "兄弟就死了的嘛", 50, 150, 200);
      int period = (int)((this.endTime.getTime() - this.startTime.getTime()) / 1000L);
      printInfo(g, "你的持久度才" + period + "秒", 50, 150, 250);
      switch (period / 10) {
        case 0:
          printInfo(g, "真.头顶一片青青草原", 50, 150, 300);
          break;
        case 1:
          printInfo(g, "这东西你也要抢着带？", 50, 150, 300);
          break;
        case 2:
          printInfo(g, "如果梦想有颜色，那一定是原谅色", 40, 30, 300);
          break;
        case 3:
          printInfo(g, "哟，炊事班长呀兄弟", 50, 150, 300);
          break;
        case 4:
          printInfo(g, "加油你就是下一个老王", 50, 150, 300);
          break;
        case 5:
          printInfo(g, "如果撑过一分钟我岂不是很没面子", 40, 30, 300);
          break;
        case 6:
          printInfo(g, "flag{RGFqaURhbGlfSmlud2FuQ2hpamk=}", 50, 150, 300);
          break;
      } 
    } 
  }
  
  public void printInfo(Graphics g, String str, int size, int x, int y) {
    Color c = g.getColor();
    g.setColor(Color.RED);
    Font f = new Font("宋体", 1, size);
    g.setFont(f);
    g.drawString(str, x, y);
    g.setColor(c);
  }
  
  public static void main(String[] args) {
    (new cn.bjsxt.plane.PlaneGameFrame()).launchFrame();
  }
  
  public void launchFrame() {
    super.launchFrame();
    addKeyListener((KeyListener)new KeyMonitor(this));
    for (int i = 0; i < 60; i++) {
      Bullet b = new Bullet();
      this.bulletList.add(b);
    } 
    this.startTime = new Date();
  }
}
